Loading...
Searching...
No Matches
weekday.h File Reference
`#include <string.h>`

Go to the source code of this file.

## Classes

class | etl::chrono::weekday
| weekday More...
class | etl::chrono::weekday_indexed
| weekday_indexed More...
class | etl::chrono::weekday_last
| weekday_last More...

## Namespaces

namespace | etl

## Functions

ETL_CONSTEXPR14 etl::chrono::weekday | etl::chrono::operator+ (const etl::chrono::weekday &m, const etl::chrono::days &ds) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::weekday | etl::chrono::operator+ (const etl::chrono::days &ds, const etl::chrono::weekday &m) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::weekday | etl::chrono::operator- (const etl::chrono::weekday &m, const etl::chrono::days &ds) ETL_NOEXCEPT
ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::weekday &wd1, const etl::chrono::weekday &wd2) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::weekday &wd1, const etl::chrono::weekday &wd2) ETL_NOEXCEPT
| Inequality operator.
ETL_CONSTEXPR14 etl::chrono::days | etl::chrono::operator- (const etl::chrono::weekday &wd1, const etl::chrono::weekday &wd2) ETL_NOEXCEPT
ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::weekday_indexed &wd1, const etl::chrono::weekday_indexed &wd2) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::weekday_indexed &wd1, const etl::chrono::weekday_indexed &wd2) ETL_NOEXCEPT
| Inequality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::weekday_last &wd1, const etl::chrono::weekday_last &wd2) ETL_NOEXCEPT
| Equality operator.

## Function Documentation

## operator+() [1/2]

ETL_CONSTEXPR14 etl::chrono::weekday etl::chrono::operator+ | ( | const etl::chrono::days & | ds,
|  | const etl::chrono::weekday & | wd )

inline

Add etl::chrono::weekday to etl::chrono::days

Returns
  etl::chrono::weekday

## operator+() [2/2]

ETL_CONSTEXPR14 etl::chrono::weekday etl::chrono::operator+ | ( | const etl::chrono::weekday & | wd,
|  | const etl::chrono::days & | ds )

inline

Add etl::chrono::days to etl::chrono::weekday

Returns
  etl::chrono::weekday

## operator-() [1/2]

ETL_CONSTEXPR14 etl::chrono::weekday etl::chrono::operator- | ( | const etl::chrono::weekday & | m,
|  | const etl::chrono::days & | ds )

inline

Subtract etl::chrono::days from etl::chrono::weekday

Returns
  etl::chrono::weekday

## operator-() [2/2]

ETL_CONSTEXPR14 etl::chrono::days etl::chrono::operator- | ( | const etl::chrono::weekday & | wd1,
|  | const etl::chrono::weekday & | wd2 )

inline

Subtract etl::chrono::weekday from etl::chrono::weekday

Returns
  etl::chrono::days